/**
 * @author Matt Spear
 *
 * Extremely simple place to store random math methods
 * that are not in java.lang.Math.
 */
public final class MoreMath 
{
	// Noone can instanciate this class
	private MoreMath() { }
	
	/**
	 * Returns the signum of x
	 * @param x the value to get the signum of
	 * @return the signum of x
	 */
	public static int sign(int x)
	{
		return (x>0 ? 1 : x==0 ? 0 : -1);
	}
	/**
	 * Returns the signum of x
	 * @param x the value to get the signum of
	 * @return the signum of x
	 */
	public static int sign(float x)
	{
		return (x>0 ? 1 : x==0 ? 0 : -1);
	}
	/**
	 * Returns the signum of x
	 * @param x the value to get the signum of
	 * @return the signum of x
	 */
	public static int sign(double x)
	{
		return (x>0 ? 1 : x==0 ? 0 : -1);
	}
}
